## org.eclipse.datatools.modelbase.dbdefinition
Interface ExtendedDefinition

All Known Implementing Classes:
  ExtendedDefinitionImpl

    public interface ExtendedDefinition

A representation of the model object 'Extended Definition'.

The following features are supported:

- `Name`
- `Value`

See Also:
  `DatabaseDefinitionPackage.getExtendedDefinition()`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DatabaseDefinitionPackage.getExtendedDefinition_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `DatabaseDefinitionPackage.getExtendedDefinition_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.